### Virtual Method

# FwupdPlugin Firmware export

since: 1.6.0

#### Declaration [src]

    void
    export (
      FuFirmware* self,
      FuFirmwareExportFlags flags,
      XbBuilderNode* bn
    )

#### Description [src]

This allows us to build an XML object for the nested firmware.

Available since: 1.6.0

#### Parameters

`flags`

  Type: `FuFirmwareExportFlags`

  Firmware export flags, e.g. `FU_FIRMWARE_EXPORT_FLAG_INCLUDE_DEBUG`.

`bn`

  Type: `XbBuilderNode`

  A Xmlb builder node.

  The data is owned by the caller of the function.